package org.expeditee.gio.gesture.data;

public class ChangeColourGestureData extends ItemSpecificGestureData {

	private boolean _setTransparent;
	private boolean _setSecondaryColour;
	
	public ChangeColourGestureData(boolean setTransparent, boolean setSecondaryColour)
	{
		super();
		_setTransparent = setTransparent;
		_setSecondaryColour = setSecondaryColour;
	}
	
	public ChangeColourGestureData(ChangeColourGestureData other)
	{
		super(other);
		_setTransparent = other._setTransparent;
		_setSecondaryColour = other._setSecondaryColour;
	}
	
	public boolean shouldSetTransparent()
	{
		return _setTransparent;
	}
	
	public boolean shouldSetSecondaryColour()
	{
		return _setSecondaryColour;
	}
	
	@Override
	public GestureData clone()
	{
		return new ChangeColourGestureData(this);
	}
}
