package org.expeditee.gio.gesture.data;

import org.expeditee.gui.DisplayController;
import org.expeditee.gui.Frame;

public class FormatGestureData extends GestureData {
	
	private Frame _frame;
	private boolean _horizontal;
	
	public FormatGestureData(boolean horizontal)
	{
		super();
		_frame = DisplayController.getCurrentFrame();
		_horizontal = horizontal;
	}
	
	public FormatGestureData(Frame frame, boolean horizontal)
	{
		super();
		_frame = frame;
		_horizontal = horizontal;
	}
	
	public FormatGestureData(FormatGestureData other)
	{
		super(other);
		_frame = other._frame;
		_horizontal = other._horizontal;
	}
	
	public Frame getFrame()
	{
		return _frame;
	}
	
	public boolean getHorizontal()
	{
		return _horizontal;
	}
	
	public FormatGestureData clone()
	{
		return new FormatGestureData(this);
	}

}
