package org.expeditee.gio.gesture.data;

public class UndoGestureData extends GestureData {
	
	private boolean _redo;
	
	public UndoGestureData(boolean redo)
	{
		super();
		_redo = redo;
	}
	
	public UndoGestureData(UndoGestureData other)
	{
		super(other);
		_redo = other._redo;
	}
	
	public boolean getRedo()
	{
		return _redo;
	}
	
	public UndoGestureData clone()
	{
		return new UndoGestureData(this);
	}

}
