package org.expeditee.gio.gesture.data;

public class ClickGestureData extends ItemSpecificGestureData {

	private boolean _longClick;
	
	public ClickGestureData(boolean longClick)
	{
		super();
		_longClick = longClick;
	}
	
	public ClickGestureData(ClickGestureData other)
	{
		super(other);
		if (other != null) _longClick = other._longClick;
	}
	
	public boolean getLongClick()
	{
		return _longClick;
	}
	
	public ClickGestureData clone()
	{
		return new ClickGestureData(this);
	}
}
