package org.expeditee.gio.gesture.data;

public class RefreshGestureData extends GestureData {
	
	private boolean _shouldReloadFrameFirst;
	private boolean _shouldRefreshFrameSize;
	
	public RefreshGestureData(boolean shouldReloadFrameFirst, boolean shouldRefreshFrameSize)
	{
		super();
		_shouldReloadFrameFirst = shouldReloadFrameFirst;
		_shouldRefreshFrameSize = shouldRefreshFrameSize;
	}

	public RefreshGestureData(RefreshGestureData other)
	{
		super(other);
		_shouldReloadFrameFirst = other._shouldReloadFrameFirst;
		_shouldRefreshFrameSize = other._shouldRefreshFrameSize;
	}
	
	public boolean shouldReloadFrameFirst()
	{
		return _shouldReloadFrameFirst;
	}
	
	public boolean shouldRefreshFrameSize()
	{
		return _shouldRefreshFrameSize;
	}
	
	public RefreshGestureData clone()
	{
		return new RefreshGestureData(this);
	}
}
