package org.expeditee.gio.gesture.data;

import org.expeditee.core.Point;

public class ZoomGestureData extends GestureData {

	private float _scaleFactor;
	
	public ZoomGestureData(Point centreOfZoom, float scaleFactor)
	{
		super(centreOfZoom);
		_scaleFactor = scaleFactor;
	}
	
	public ZoomGestureData(ZoomGestureData other) {
		super(other);
		_scaleFactor = other._scaleFactor;
	}
	
	public float getScaleFactor()
	{
		return _scaleFactor;
	}
	
	@Override
	public GestureData clone()
	{
		return new ZoomGestureData(this);
	}

}
