package org.expeditee.gio.input;

import org.expeditee.gio.TimeoutQueue.TimeoutHandle;

/**
 * Type of input event where the user can set a timer and
 * receive an input event when the timer expires.
 * 
 * @author cts16
 * 
 * TODO: Revise above comment. cts16
 * TODO: Complete. cts16
 */
public class TimeoutInputEvent extends InputEvent {

	private TimeoutHandle _handle;
	
	public TimeoutInputEvent(TimeoutHandle handle)
	{
		super(InputEvent.InputType.TIMEOUT);
		_handle = handle;
	}
	
	public TimeoutHandle getHandle()
	{
		return _handle;
	}
	
}
